## com.baidubce.services.media.model
Class ThumbnailTarget

    java.lang.Object
      com.baidubce.services.media.model.ThumbnailTarget

    public class ThumbnailTarget

extends Object

Constructor Summary
`ThumbnailTarget()`

Method Summary
`String` `getFormat()`
`Integer` `getHeightInPixel()`
`String` `getKeyPrefix()`
`String` `getSizingPolicy()`
`Integer` `getWidthInPixel()`
`void` `setFormat(String format)`
`void` `setHeightInPixel(Integer heightInPixel)`
`void` `setKeyPrefix(String keyPrefix)`
`void` `setSizingPolicy(String sizingPolicy)`
`void` `setWidthInPixel(Integer widthInPixel)`
`ThumbnailTarget` `withFormat(String format)`
`ThumbnailTarget` `withHeightInPixel(Integer heightInPixel)`
`ThumbnailTarget` `withKeyPrefix(String keyPrefix)`
`ThumbnailTarget` `withSizingPolicy(String sizingPolicy)`
`ThumbnailTarget` `withWidthInPixel(Integer widthInPixel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThumbnailTarget

    public ThumbnailTarget()

Method Detail

### getKeyPrefix

    public String getKeyPrefix()

### setKeyPrefix

    public void setKeyPrefix(String keyPrefix)

### withKeyPrefix

    public ThumbnailTarget withKeyPrefix(String keyPrefix)

### getFormat

    public String getFormat()

### setFormat

    public void setFormat(String format)

### withFormat

    public ThumbnailTarget withFormat(String format)

### getSizingPolicy

    public String getSizingPolicy()

### setSizingPolicy

    public void setSizingPolicy(String sizingPolicy)

### withSizingPolicy

    public ThumbnailTarget withSizingPolicy(String sizingPolicy)

### getWidthInPixel

    public Integer getWidthInPixel()

### setWidthInPixel

    public void setWidthInPixel(Integer widthInPixel)

### withWidthInPixel

    public ThumbnailTarget withWidthInPixel(Integer widthInPixel)

### getHeightInPixel

    public Integer getHeightInPixel()

### setHeightInPixel

    public void setHeightInPixel(Integer heightInPixel)

### withHeightInPixel

    public ThumbnailTarget withHeightInPixel(Integer heightInPixel)

Copyright © 2016. All rights reserved.